Index: src/doxygen.cpp
===================================================================
--- src/doxygen.cpp	(revisione 617)
+++ src/doxygen.cpp	(copia locale)
@@ -9279,7 +9279,6 @@
 
 void checkConfiguration()
 {
-  
   Config::instance()->substituteEnvironmentVars();
   Config::instance()->convertStrToVal();
   Config::instance()->check();
@@ -9312,7 +9311,27 @@
                                 Config_getBool("REFERENCES_RELATION") ||
                                 Config_getBool("REFERENCED_BY_RELATION");
   
-
+  // if no output format is enabled, warn the user
+  if (!Config_getBool("GENERATE_HTML") && 
+      !Config_getBool("GENERATE_LATEX") &&
+      !Config_getBool("GENERATE_MAN") && 
+      !Config_getBool("GENERATE_RTF") &&
+      !Config_getBool("GENERATE_XML") &&
+      !Config_getBool("GENERATE_PERLMOD") &&
+      !Config_getBool("GENERATE_RTF") &&
+      !Config_getBool("GENERATE_AUTOGEN_DEF") &&
+      Config_getString("GENERATE_TAGFILE").isEmpty())
+    /* FIXME: maybe GENERATE_DOCSET should be added? Is it indepent from GENERATE_HTML? */
+  {
+    err("Warning: No output formats selected! Set at least one of the main GENERATE_* options to YES.\n");
+  }
+
+  // you can't generate HTMLHELP without HTML enabled!
+  if (!Config_getBool("GENERATE_HTML") && 
+      Config_getBool("GENERATE_HTMLHELP"))
+  {
+    err("Warning: GENERATE_HTMLHELP=YES requires GENERATE_HTML=YES.\n");
+  }
 }
 
 #ifdef HAS_SIGNALS
@@ -10164,7 +10183,9 @@
     msg("Generating Perl module output...\n");
     generatePerlMod();
   }
-  if (Config_getBool("GENERATE_HTMLHELP") && !Config_getString("HHC_LOCATION").isEmpty())
+  if (Config_getBool("GENERATE_HTML") &&
+      Config_getBool("GENERATE_HTMLHELP") &&
+      !Config_getString("HHC_LOCATION").isEmpty())
   {
     msg("Running html help compiler...\n");
     QString oldDir = QDir::currentDirPath();
